EulerOS 2.0 SP2 : patch (EulerOS-SA-2019-1863)

High Nessus Plugin ID 128915

Synopsis

The remote EulerOS host is missing multiple security updates.

Description

According to the versions of the patch package installed, the EulerOS installation on the remote host is affected by the following vulnerabilities :

- Directory traversal vulnerability in GNU patch versions which support Git-style patching before 2.7.3 allows remote attackers to write to arbitrary files with the permissions of the target user via a .. (dot dot) in a diff file name.(CVE-2015-1395)

- A double-free flaw was found in the way the patch utility processed patch files. An attacker could potentially use this flaw to crash the patch utility by tricking it into processing crafted patches.(CVE-2018-6952)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected patch packages.

See Also

http://www.nessus.org/u?02c54a75

Plugin Details

Severity: High

ID: 128915

File Name: EulerOS_SA-2019-1863.nasl

Version: 1.1

Type: local

Published: 2019/09/17

Updated: 2019/09/17

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:C/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:patch, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2019/09/11

Reference Information

CVE: CVE-2015-1395, CVE-2018-6952

BID: 72846